#!/bin/bash
if [ $# -lt 1 ]; then 
  echo "Helper script for .che files, to be used by mc or start. Call by:"
  echo "  CHE=<VALUE> che.sh NAME.che [BLEND-OPTIONS]"
  echo "VALUE="
  echo "  0 or none: blend -g5 -r2 BLEND-OPTIONS NAME.che"
  echo "  1 : nmf.sh NAME.che BLEND-OPTIONS"
  echo "  2 : nmf4guest.sh NAME.che BLEND-OPTIONS"
  exit
fi

[ x$CHE == x ] && CHE=0

case $CHE in
  0 ) 
    echo "CHE=0: starting blend only"
    blend -g5 -r2 $* ;;
  1 ) 
    echo "CHE=1: starting nmf.sh (in current directory)"
    nmf.sh $* ;;
  2 ) 
    echo "CHE=2: starting nmf4guest.sh (in /tmp, erased after run)"
    nmf4guest.sh $* ;;
  * ) echo "invalid value of ECHO=$ECHO" ;;
esac
